/*
 * writestr.c
 * Displays a C-style text string on the screen
 *	theString is address of string to display
 * 	returns number of characters displayed
 * Robert G. Plantz - 21 December 2003
 */

#include <sys/types.h>
#include <sys/uio.h>
#include <unistd.h>
#include "writestr.h"

int writestr(char *theString) {
	int counter = 0;
	
	while (*theString != '\0') {
		write(STDOUT_FILENO, theString, 1);
		counter++;
		theString++;
	}
	
	return counter;
}
