/*
 * sDecToInt.h
 * Takes the address of a C-style text string.
 *	The first character may be either '+', '-', or a decimal numeral.
 *	(Leading '+' is allowed but not required for a nonnegative integer.)
 *	Following the first character, the string has only decimal numerals.
 *	Assumes the represented integer does not exceed 32 bits of storage.
 *	Converts the string & returns the corresponding signed int.
 * David Bozarth - 15 February 2004
 */

#ifndef SDECTOINT_H
#define SDECTOINT_H

int sDecToInt(char *theString);

#endif
