/*
 * sIntToDec.h
 * Takes signed int, and the address of a char array.
 *	Converts the int to a decimal text string representing the int.
 * 	Negative integers will be rendered with a leading '-'.
 *	Non-negative integers will receive no leading sign character.
 *	Returns the number of characters in the string (not including NUL).
 * David Bozarth - 15 February 2004
 */

#ifndef SINTTODEC_H
#define SINTTODEC_H

int sIntToDec(int theInt, char *theString);

#endif
