/*
 * uDecToInt.c
 * Takes the address of a C-style text string.
 *	Assumes the string contains only decimal numerals.
 *	Assumes the represented integer does not exceed 32 bits of storage.
 *	Converts the string & returns the corresponding unsigned int.
 * David Bozarth - 15 February 2004
 */

#include "uDecToInt.h"

unsigned int uDecToInt(char *theString) {
	int i, count;
	unsigned int ux;
	char aChar;

	ux = 0; count = 0;

	aChar = *theString;
	while ( aChar != '\0' )
	{	
		ux *= 10;
		ux += (aChar & 0x0f);
		aChar = *(theString + ++count);
	}
	return ux;
}
